Support » Plugin: Smart Custom Fields » MailPoetプラグインとの併用によるtinymce関連の不具合

  • いつも大変便利に使わせていただいています。
    かねてよりずっと悩まされていたのですが、「MailPoet Newsletters (New)」というプラグインを使用し、ニュースレターを作成する画面にいくと
    Failed to load plugin: mailpoet_shortcodes from url http://example.com/wp-content/plugins/mailpoet/assets/js/lib/tinymce/plugins/mailpoet_shortcodes/plugin.min.js
    というエラーが表示されます。
    Smart Custom Fieldsを停止するとエラーが出ないので、何かがぶつかってるんだろうなと思いつつ原因はわからなかったのですが、
    /plugins/smart-custom-fields/classes/fields/class.field-wysiwyg.php
    このファイルをリネームして参照できないようにしておくと、エラーが出ないようでしたので、ニュースレターを作成する間だけリネームしておく、という原始的な対処法でしのいでいました。

    しかし、Snow Monkeyのオンラインコミュニティでのやり取りで、

    記事編集画面以外にビジュアルエディタを追加するようなプラグインを利用したときにエラーがでてしまう

    という不具合の修正対応を見て、ひょっとして同じ原因なのかな?と思い、トピックを立てさせていただきました。

    【環境】
    クリーンインストールしたWordPress バージョン4.9.7
    プラグイン: MailPoetとSmart Custom Fieldsのみ有効化
    テーマ: Twenty Seventeen

    MailPoet Newsletters (New)
    https://wordpress.org/plugins/mailpoet/

  • The topic ‘MailPoetプラグインとの併用によるtinymce関連の不具合’ is closed to new replies.